---
aliases:
  - /docs/sources/panels/add-panels-dynamically/
  - repeat-panels-or-rows/
keywords:
  - dynamic
  - variable
  - panel
title: Enable template variables to add panels dynamically
weight: 800
---

# Enable template variables to add panels dynamically

Harness the power of Grafana by configuring the system to automatically and dynamically add panels based on criteria that you define.

{{< section >}}
